OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | List of all members
AmoebaTorsionTorsionForce Class Reference

This class implements the Amoeba torsion-torsion interaction. More...

Inheritance diagram for AmoebaTorsionTorsionForce:

## Public Member Functions
def | getNumTorsionTorsions
| getNumTorsionTorsions(AmoebaTorsionTorsionForce self) -> int More...
def | getNumTorsionTorsionGrids
| getNumTorsionTorsionGrids(AmoebaTorsionTorsionForce self) -> int More...
def | addTorsionTorsion
| addTorsionTorsion(AmoebaTorsionTorsionForce self, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex) -> int More...
def | getTorsionTorsionParameters
| getTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index) More...
def | setTorsionTorsionParameters
| setTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex) More...
def | getTorsionTorsionGrid
| getTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index) -> vectorddd More...
def | setTorsionTorsionGrid
| setTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index, vectorddd grid) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaTorsionTorsionForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaTorsionTorsionForce self) -> AmoebaTorsionTorsionForce init(OpenMM::AmoebaTorsionTorsionForce self, AmoebaTorsionTorsionForce other) -> AmoebaTorsionTorsionForce More...
def | __del__
| del(OpenMM::AmoebaTorsionTorsionForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Detailed Description

This class implements the Amoeba torsion-torsion interaction.

To use it, create an AmoebaTorsionTorsionForce object then call addTorsionTorsion() once for each torsion-torsion. After a torsion-torsion has been added, you can modify its force field parameters by calling setTorsionTorsionParameters().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaTorsionTorsionForce self) -> AmoebaTorsionTorsionForce init(OpenMM::AmoebaTorsionTorsionForce self, AmoebaTorsionTorsionForce other) -> AmoebaTorsionTorsionForce

Create an AmoebaTorsionTorsionForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaTorsionTorsionForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addTorsionTorsion | ( |  | self,
|  |  | args
| ) |  |

addTorsionTorsion(AmoebaTorsionTorsionForce self, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex) -> int

Add a torsion-torsion term to the force field.

Parameters

  particle1 | the index of the first particle connected by the torsion-torsion
  particle2 | the index of the second particle connected by the torsion-torsion
  particle3 | the index of the third particle connected by the torsion-torsion
  particle4 | the index of the fourth particle connected by the torsion-torsion
  particle5 | the index of the fifth particle connected by the torsion-torsion
  chiralCheckAtomIndex | the index of the particle connected to particle3, but not particle2 or particle4 to be used in chirality check
  gridIndex | the index to the grid to be used

References simtk.openmm.openmm.stripUnits().

def getNumTorsionTorsionGrids | ( |  | self,
|  |  | args
| ) |  |

getNumTorsionTorsionGrids(AmoebaTorsionTorsionForce self) -> int

Get the number of torsion-torsion grids

References simtk.openmm.openmm.stripUnits().

def getNumTorsionTorsions | ( |  | self,
|  |  | args
| ) |  |

getNumTorsionTorsions(AmoebaTorsionTorsionForce self) -> int

Get the number of torsion-torsion terms in the potential function

References simtk.openmm.openmm.stripUnits().

def getTorsionTorsionGrid | ( |  | self,
|  |  | args
| ) |  |

getTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index) -> vectorddd

Get the torsion-torsion grid at the specified index

Parameters

  gridIndex | the grid index

References simtk.openmm.openmm.stripUnits().

def getTorsionTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

getTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index)

Get the force field parameters for a torsion-torsion term.

Parameters

  index | the index of the torsion-torsion for which to get parameters
  particle1 | the index of the first particle connected by the torsion-torsion
  particle2 | the index of the second particle connected by the torsion-torsion
  particle3 | the index of the third particle connected by the torsion-torsion
  particle4 | the index of the fourth particle connected by the torsion-torsion
  particle5 | the index of the fifth particle connected by the torsion-torsion
  chiralCheckAtomIndex | the index of the particle connected to particle3, but not particle2 or particle4 to be used in chirality check
  gridIndex | the grid index

References simtk.openmm.openmm.stripUnits().

def setTorsionTorsionGrid | ( |  | self,
|  |  | args
| ) |  |

setTorsionTorsionGrid(AmoebaTorsionTorsionForce self, int index, vectorddd grid)

Set the torsion-torsion grid at the specified index

Parameters

  index | the index of the torsion-torsion for which to get parameters
  grid | either 3 or 6 values may be specified per grid point. If the derivatives are omitted, they are calculated automatically by fitting a 2D spline to the energies. grid[x][y][0] = x value grid[x][y][1] = y value grid[x][y][2] = energy grid[x][y][3] = dEdx value grid[x][y][4] = dEdy value grid[x][y][5] = dEd(xy) value

References simtk.openmm.openmm.stripUnits().

def setTorsionTorsionParameters | ( |  | self,
|  |  | args
| ) |  |

setTorsionTorsionParameters(AmoebaTorsionTorsionForce self, int index, int particle1, int particle2, int particle3, int particle4, int particle5, int chiralCheckAtomIndex, int gridIndex)

Set the force field parameters for a torsion-torsion term.

Parameters

  index | the index of the torsion-torsion for which to set parameters
  particle1 | the index of the first particle connected by the torsion-torsion
  particle2 | the index of the second particle connected by the torsion-torsion
  particle3 | the index of the third particle connected by the torsion-torsion
  particle4 | the index of the fourth particle connected by the torsion-torsion
  particle5 | the index of the fifth particle connected by the torsion-torsion
  chiralCheckAtomIndex | the index of the particle connected to particle3, but not particle2 or particle4 to be used in chirality check
  gridIndex | the grid index

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaTorsionTorsionForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py